#
# spec file for package ghc-pcre-light
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name pcre-light
Name:           ghc-%{pkg_name}
Version:        0.4.0.4
Release:        8.1
Summary:        Portable regex library for Perl 5 compatible regular expressions
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libpcre16)
BuildRequires:  pkgconfig(libpcrecpp)
BuildRequires:  pkgconfig(libpcreposix)

%description
A small, efficient and portable regex library for Perl 5 compatible regular
expressions

The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl 5.

If installation fails reporting that you are missing the prce C library, try
installing the 'libpcre3-dev' package (linux). .

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       pkgconfig
Requires:       pkgconfig(libpcre)
Requires:       pkgconfig(libpcre16)
Requires:       pkgconfig(libpcrecpp)
Requires:       pkgconfig(libpcreposix)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.0.4 revision 0 with cabal2obs.
* Sun Nov  8 2015 mimi.vx@gmail.com
- update to 0.4.04
* Sun Nov  9 2014 peter.trommler@ohm-hochschule.de
- update to 0.4.0.3
  * compatibility with ghc 7.8
* Tue May 14 2013 peter.trommler@ohm-hochschule.de
- new cabal-rpm spec file template
  * no macros spanning multiple spec file sections
* Thu Jun  7 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 spec file template
* Tue Mar 13 2012 peter.trommler@ohm-hochschule.de
- Require pcre-devel in devel package
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- fixed exclusive arch tag
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- initial packaging
